Page MenuHome

GPU high usage even when rendering finished!
Closed, InvalidPublic

Description

System Information
windows 8 64 bit, 4 gtx titans

Blender Version
Broken: 2.75a
Worked: (optional)

Short description of error

Render with GPUs a single image, after rendering finished, GPU usage over does not go below 50 percent, whereas at idling it should be around 10 percent, apparently blender "does not" release them from their duties... Only when blender 3d is closed, GPU usage comes to normal 10 percent idling usage. All GPUs' usage is over 50 percent!!!

GPU usage before hitting f12 is around 10 percent! After hitting f12 - full stress - around 85 percent. After rendering finished over 50 percent! Closing blender 3d - 10 percent again.

Exact steps for others to reproduce the error
Based on a (as simple as possible) attached .blend file with minimum amount of steps

Event Timeline

Denis (dns_di) raised the priority of this task from to 90.
Denis (dns_di) updated the task description. (Show Details)
Denis (dns_di) added a project: BF Blender.
Denis (dns_di) edited a custom field.
Denis (dns_di) added a subscriber: Denis (dns_di).
Aaron Carlisle (Blendify) lowered the priority of this task from 90 to 30.Sep 18 2015, 2:18 PM

@Denis (dns_di), does it happen with latest builds form builder.blender.org and with 2.76-rc1 from download.blender.org/release/Blender2.76 ?

Does it happen when you're using all your GPUs? Does it happen when you only render on one of your GPUs? Are your video drivers up to date?

  1. Driver version 353.62 (nvidia does introduce anything new in its video drivers apart from optimizations for new games, often times new drivers introduce new bugs, which leads to worse performance, it might be a driver issue as well, who knows).
  1. blender 2.75a. I tried to run rendering on a single GPU, the result is very strange, basically the SAME!!! All 4 GPUs are stressed over 50 percent after rendering finished (to be more precise after compositing finished). That would actually mean, that blender does not forget to release GPUs from its duties, it assignes new ones that stress them.
  1. blender 2.76. As expected, exactly the same behaviour, both with single GPU and with 4 GPUs.

Even when I open new blend file from existing one, that stresses GPUs, the issue does not go away, GPUs are stressed! without even waiting for rendering to be finished (new blend file opening 10 percent stress, opening new blend file from exisitng file after conducting rendering, GPU usage over 50%).

It has something to do with blend file post processing stage, I just ran another blend file, and it did not have that issue with stressing GPUs after rendering finished, all 4 GPUs idle at normal 10%.

Well, thing is i can't reproduce the issue here and if we had such a bug it would have been reported ages ago.

Did you try loading factory settings and render default cube scene to see if same thing happens?

Also, how exactly you're measuring GPU usage? And even more interesting, do you measure memory consumption or compute power?

Like I said it has something to do with blend file, because my blend files, do not have that issue.

GPU usage is measured by MSI afterburner power consumption, I also see increased watt usage from the wall socket.

The bug is there! And the bug is in the blend file!

Also, might be of help, GPU usage is very similar to pre rendering stage, after hitting f12 you wait for synchronization and bhv building and at that very stage GPU is already over 50, even though it is not being used, so the same values stay after rendering, like its waiting for synchronization stage... Hope that helps...

Rendering stage full stress GPU usage, volumetric stage, GPU usage goes down to 10%, dust stage GPU is still 10%, then at either before or at the beginning of compositing stage GPU usage rises over 50 per cent. Watt usage measured from wall socke around 380W, where as when all GPUs at idle, its more like 120W.

Ok, one last thing from me. I just checked GPU-z memory usage at the stage, when rendering finished and GPUs can not return to normal idling power consumption, that is stay above 50%.

So, GPU 1 (monitor hooked up)
memory used - 269MB; GPU load - 1-3%; power consumption 30% of TDP

GPU 2 (no monitors hooked up)
memory usage (dedicated) - 69MB, memory usage (dynamic) - 39MB; GPU load - 0%; power consumption 30% of TDP

GPU 3 (no monitors hooked up)
memory usage (dedicated) - 69MB, memory usage (dynamic) - 39MB; GPU load - 0%; power consumption 30% of TDP

GPU 3 (no monitors hooked up)
memory usage (dedicated) - 69MB, memory usage (dynamic) - 0MB; GPU load - 0%; power consumption 30% of TDP

Hope that helps...

ps Increased power consumption supported by the mesurements taken fromt he wall socket.

Bastien Montagne (mont29) raised the priority of this task from 30 to Normal.Sep 25 2015, 9:20 AM

Well… Your GPU load shows 0% here… So could rather be a bug in drivers that prevent GPUs to go back to idle state (you know, reduce clock, reduce voltage, etc.)?

In any case, the issue reported can't be reproduced so far, and has been moved to the BF Blender: Unconfirmed project.
If 2 other people aren't able to redo the bug after 2 weeks, it will be closed.

Campbell Barton (campbellbarton) changed the task status from Unknown Status to Unknown Status.Feb 12 2016, 7:47 AM